org.apache.synapse.commons.throttle.core

## Class ThrottleProperties

- java.lang.Object
- - org.apache.synapse.commons.throttle.core.ThrottleProperties

- All Implemented Interfaces:
    java.io.Serializable

      public class ThrottleProperties
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThrottleProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `getDistributedCounterConfigurations()`
    `java.lang.String` | `getDistributedCounterType()`
    `java.lang.String` | `getMaxNonAssociatedCounterCleanupAmount()`
    `java.lang.String` | `getThrottleContextDistributedCleanupTaskFrequency()`
    `java.lang.String` | `getThrottleContextDistributedExpiredInstanceTime()`
    `java.lang.String` | `getThrottleDistributedCleanupAmount()`
    `java.lang.String` | `getThrottleDistributedCleanupPoolSize()`
    `java.lang.String` | `getThrottleDistributedCleanupTaskEnable()`
    `java.lang.String` | `getThrottleFrequency()`
    `java.lang.String` | `getThrottlingKeysToReplicates()`
    `java.lang.String` | `getThrottlingPoolSize()`
    `java.lang.String` | `getThrottlingReplicationFrequency()`
    `java.lang.String` | `getWindowReplicatorFrequency()`
    `java.lang.String` | `getWindowReplicatorPoolSize()`
    `void` | `setDistributedCounterConfigurations(java.util.Map<java.lang.String,java.lang.String> distributedCounterConfigurations)`
    `void` | `setDistributedCounterType(java.lang.String distributedCounterType)`
    `void` | `setMaxNonAssociatedCounterCleanupAmount(java.lang.String maxNonAssociatedCounterCleanupAmount)`
    `void` | `setThrottleContextDistributedCleanupTaskFrequency(java.lang.String throttleContextDistributedCleanupTaskFrequency)`
    `void` | `setThrottleContextDistributedExpiredInstanceTime(java.lang.String throttleContextDistributedExpiredInstanceTime)`
    `void` | `setThrottleDistributedCleanupAmount(java.lang.String throttleDistributedCleanupAmount)`
    `void` | `setThrottleDistributedCleanupPoolSize(java.lang.String throttleDistributedCleanupPoolSize)`
    `void` | `setThrottleDistributedCleanupTaskEnable(java.lang.String throttleDistributedCleanupTaskEnable)`
    `void` | `setThrottleFrequency(java.lang.String throttleFrequency)`
    `void` | `setThrottlingKeysToReplicates(java.lang.String throttlingKeysToReplicates)`
    `void` | `setThrottlingPoolSize(java.lang.String throttlingPoolSize)`
    `void` | `setThrottlingReplicationFrequency(java.lang.String throttlingReplicationFrequency)`
    `void` | `setWindowReplicatorFrequency(java.lang.String windowReplicatorFrequency)`
    `void` | `setWindowReplicatorPoolSize(java.lang.String windowReplicatorPoolSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThrottleProperties

          public ThrottleProperties()

  - ### Method Detail

    - #### getWindowReplicatorPoolSize

          public java.lang.String getWindowReplicatorPoolSize()

    - #### setWindowReplicatorPoolSize

          public void setWindowReplicatorPoolSize(java.lang.String windowReplicatorPoolSize)

    - #### getWindowReplicatorFrequency

          public java.lang.String getWindowReplicatorFrequency()

    - #### setWindowReplicatorFrequency

          public void setWindowReplicatorFrequency(java.lang.String windowReplicatorFrequency)

    - #### getThrottleDistributedCleanupTaskEnable

          public java.lang.String getThrottleDistributedCleanupTaskEnable()

    - #### setThrottleDistributedCleanupTaskEnable

          public void setThrottleDistributedCleanupTaskEnable(java.lang.String throttleDistributedCleanupTaskEnable)

    - #### getMaxNonAssociatedCounterCleanupAmount

          public java.lang.String getMaxNonAssociatedCounterCleanupAmount()

    - #### setMaxNonAssociatedCounterCleanupAmount

          public void setMaxNonAssociatedCounterCleanupAmount(java.lang.String maxNonAssociatedCounterCleanupAmount)

    - #### getThrottleDistributedCleanupAmount

          public java.lang.String getThrottleDistributedCleanupAmount()

    - #### setThrottleDistributedCleanupAmount

          public void setThrottleDistributedCleanupAmount(java.lang.String throttleDistributedCleanupAmount)

    - #### getThrottleDistributedCleanupPoolSize

          public java.lang.String getThrottleDistributedCleanupPoolSize()

    - #### setThrottleDistributedCleanupPoolSize

          public void setThrottleDistributedCleanupPoolSize(java.lang.String throttleDistributedCleanupPoolSize)

    - #### getThrottleContextDistributedExpiredInstanceTime

          public java.lang.String getThrottleContextDistributedExpiredInstanceTime()

    - #### setThrottleContextDistributedExpiredInstanceTime

          public void setThrottleContextDistributedExpiredInstanceTime(java.lang.String throttleContextDistributedExpiredInstanceTime)

    - #### getThrottleContextDistributedCleanupTaskFrequency

          public java.lang.String getThrottleContextDistributedCleanupTaskFrequency()

    - #### setThrottleContextDistributedCleanupTaskFrequency

          public void setThrottleContextDistributedCleanupTaskFrequency(java.lang.String throttleContextDistributedCleanupTaskFrequency)

    - #### getThrottleFrequency

          public java.lang.String getThrottleFrequency()

    - #### setThrottleFrequency

          public void setThrottleFrequency(java.lang.String throttleFrequency)

    - #### getThrottlingPoolSize

          public java.lang.String getThrottlingPoolSize()

    - #### setThrottlingPoolSize

          public void setThrottlingPoolSize(java.lang.String throttlingPoolSize)

    - #### getThrottlingReplicationFrequency

          public java.lang.String getThrottlingReplicationFrequency()

    - #### setThrottlingReplicationFrequency

          public void setThrottlingReplicationFrequency(java.lang.String throttlingReplicationFrequency)

    - #### getThrottlingKeysToReplicates

          public java.lang.String getThrottlingKeysToReplicates()

    - #### setThrottlingKeysToReplicates

          public void setThrottlingKeysToReplicates(java.lang.String throttlingKeysToReplicates)

    - #### getDistributedCounterConfigurations

          public java.util.Map<java.lang.String,java.lang.String> getDistributedCounterConfigurations()

    - #### setDistributedCounterConfigurations

          public void setDistributedCounterConfigurations(java.util.Map<java.lang.String,java.lang.String> distributedCounterConfigurations)

    - #### getDistributedCounterType

          public java.lang.String getDistributedCounterType()

    - #### setDistributedCounterType

          public void setDistributedCounterType(java.lang.String distributedCounterType)

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.